Package org.eclipse.mat.internal.snapshot.inspections

# Class DominatorQuery.Factory

java.lang.Object
org.eclipse.mat.internal.snapshot.inspections.DominatorQuery.Factory

Enclosing class:
  `DominatorQuery`

public static class DominatorQuery.Factory extends Object

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`static DominatorQuery.Tree`
`create(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
`groupByClass(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
`groupByClassLoader(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
`groupByPackage(ISnapshot snapshot, int[] roots, IProgressListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public static DominatorQuery.Tree create(ISnapshot snapshot, int[] roots, IProgressListener listener) throws SnapshotException

Throws:
  `SnapshotException`

### groupByClass

public static DominatorQuery.Tree groupByClass(ISnapshot snapshot, int[] roots, IProgressListener listener)

### groupByClassLoader

public static DominatorQuery.Tree groupByClassLoader(ISnapshot snapshot, int[] roots, IProgressListener listener) throws SnapshotException

Throws:
  `SnapshotException`

### groupByPackage

public static DominatorQuery.Tree groupByPackage(ISnapshot snapshot, int[] roots, IProgressListener listener) throws SnapshotException

Throws:
  `SnapshotException`